commit: 780adf7deb2c5b935ce8627d9c60720d938e73c9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 17 06:06:14 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 17 06:21:29 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=780adf7d
dev-python/cfn-python-lint: Bump to 0.48.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cfn-python-lint/Manifest | 1 +
.../cfn-python-lint/cfn-python-lint-0.48.3.ebuild | 52 ++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/cfn-python-lint/Manifest
b/dev-python/cfn-python-lint/Manifest
index b92661f5a32..489db1c7757 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-python-lint-0.47.2.tar.gz 6478541 BLAKE2B
1955c6aa43512d4249741db982a6e4e5fe46daa3197d028590269d74690de2f67a1615e4907bfc434fb1e265770780a5c0da2a19c2bdfa8b44dfc7b0386e4405
SHA512
26e2e4cc26090e6da54ff0f90b9e35767e1d5677321cfb84ff00f820477d6ab576e7f58219346f48eb838dccf662df3a8a75e709cfa9690868d85130745f0cc8
DIST cfn-python-lint-0.48.1.tar.gz 6531054 BLAKE2B
76aab248bf8d043c274b6a6d17c9ecada3b92fb0688a32989095771206a2f37728216fe1eb5d247237457d88279b04870a5808f7a93c15f77cf53c6734a3e4aa
SHA512
11373f9755d0955d57dfb48fb806565cc22d2f6deeba261dbf1446b95960bce915b4b2d0bb3e1884b59a7874ead18b0cc196bd599bcdcc935a4ab0f18b4276aa
DIST cfn-python-lint-0.48.2.tar.gz 6710036 BLAKE2B
00f607dacbf1c10f8b82cac1ad98fb1f12a56149284bcfa7491ca2cf1c03a315ce3857eb3b6e7a3862ff1fe39b499a17840bcaed66d67ccaf19ac0bb32de8dcc
SHA512
15f4506e272d53fb118d17b98a55b05ed4b870d2c39a48198d69a99ac80db04f23e596f61297672a91a020e5fd22b442ad5085d80491101c2af428e8fbfc8c24
+DIST cfn-python-lint-0.48.3.tar.gz 6758651 BLAKE2B
a8aeaffb0791789b25c94c630532ced223432f9902cf60664e4b111d162b4379d6307eda5c8f8074f7d2917ff25f44657016894b2140c8ea1dbf3259b24dde38
SHA512
ab1555719edb9b3541bfe60ce2701cca9e2ab9f4627c1b46ab8f4920477531f56f14f393b3575525da81b6aefd087b6c3cac516bdd6eb1db0f31304d7c63e1cb
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.48.3.ebuild
b/dev-python/cfn-python-lint/cfn-python-lint-0.48.3.ebuild
new file mode 100644
index 00000000000..c3edcec5c4e
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.48.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/
https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py ||
die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py
|| die
+ distutils-r1_src_prepare
+}